Bug 51042 - "Back" button sometimes shuts down + reboots install!
Summary: "Back" button sometimes shuts down + reboots install!
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-06 20:52 UTC by Chris Evans
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 17:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2001-08-06 20:52:26 UTC
Description of Problem:

Sometimes, pressing the "Back" button in the installer will terminate
the install process via shutdown and install. In particular this happens
sometimes on the screens "Pick a bootloader" and "Configure network
interface".

How Reproducible:

I don't have a 100% set of steps, but the following sequence usually
does the trick.

Steps to Reproduce:
1. Pick suitable default settings up to the "installation type" screen. 
2. Elect to do a "custom" class installation.
3. I used the manual disk druid partitioning option; not sure if it's
relevant.
4. On the boot loader screen I selected "no boot loader".
5. The "eth0" config screen comes up. I unselect "dhcp" and
"activate at boot".
6. I press "back". Often it reboots here.
7. If it fails to reproduce, go back again to the "installation type"
screen, try picking something different (why not), and repeat.
8. I have seen it rebooting pressing "back" in the boot loader
selection screen too.


Actual Results:


Expected Results:


Additional Information:

Comment 1 Michael Fulbright 2001-08-06 22:28:44 UTC
Brent please try to reproduce.

Comment 2 Glen Foster 2001-08-06 22:48:09 UTC
This defect is considered MUST-FIX for Fairfax

Comment 3 Matt Wilson 2001-08-06 23:08:27 UTC
This defect is considered MUST-REPRODUCE before we can MUST-FIX for Fairfax



Comment 4 Brent Fox 2001-08-07 18:44:45 UTC
I've tried every way I know how to reproduce this with no luck.  I can't see any
way for this to happen.  There's just no code path that leads from actions
associated with the 'Back' button to calling 'shutdown'.

Are you certain that the cd is good?

Comment 5 Chris Evans 2001-08-07 19:32:47 UTC
I believe CD is good.
When I say it shuts down, what I mean is that the installer suddenly
drops back to the text console and exits. It is likely that some
vital part of the installer took a SIGSEGV - that would fit the
observed behaviour.
.
I will try again when RC1 arrives, and if it still occurs, I will
try and get a reliable test case.


Comment 6 Michael Fulbright 2001-08-10 00:04:14 UTC
Please let us know if you have problems with RC1.

Comment 7 Brent Fox 2001-08-27 17:25:39 UTC
Chris, any progress here?

Comment 8 Brent Fox 2001-09-06 13:54:41 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.